/**
 * Command Manager for Undo/Redo functionality
 */
export declare class CommandManager {
    #private;
    constructor(maxSize?: number);
    add({ cmd, undo, post, mustExec }: {
        cmd: () => void;
        undo: () => void;
        post?: () => void;
        mustExec?: boolean;
    }): void;
    undo(): void;
    redo(): void;
    hasSomethingToUndo(): boolean;
    hasSomethingToRedo(): boolean;
    clear(): void;
}
